Linux tsuru-no-tsurugi 5.15.0-186-generic #196-Ubuntu SMP Sat Jun 20 16:09:34 UTC 2026 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.0.18 & Your IP : 216.73.217.105
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
snap /
core20 /
2769 /
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
[
58.34
KB
-rwxr-xr-x
2019-09-05 19:38
aa-enabled
30.52
KB
-rwxr-xr-x
2024-03-07 03:40
aa-exec
34.52
KB
-rwxr-xr-x
2024-03-07 03:40
addpart
30.23
KB
-rwxr-xr-x
2024-04-10 00:34
arch
38.37
KB
-rwxr-xr-x
2019-09-05 19:38
awk
158.74
KB
-rwxr-xr-x
2020-02-17 04:41
b2sum
58.37
KB
-rwxr-xr-x
2019-09-05 19:38
base32
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
base64
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
basename
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
bash
1.13
MB
-rwxr-xr-x
2022-04-18 18:14
bashbug
6.63
KB
-rwxr-xr-x
2022-04-18 18:14
bootctl
62.34
KB
-rwxr-xr-x
2025-06-03 05:05
bunzip2
38.23
KB
-rwxr-xr-x
2019-09-06 00:05
busctl
86.34
KB
-rwxr-xr-x
2025-06-03 05:05
bzcat
38.23
KB
-rwxr-xr-x
2019-09-06 00:05
bzcmp
2.17
KB
-rwxr-xr-x
2019-09-06 00:05
bzdiff
2.17
KB
-rwxr-xr-x
2019-09-06 00:05
bzegrep
3.69
KB
-rwxr-xr-x
2019-09-06 00:05
bzexe
4.76
KB
-rwxr-xr-x
2019-09-04 22:22
bzfgrep
3.69
KB
-rwxr-xr-x
2019-09-06 00:05
bzgrep
3.69
KB
-rwxr-xr-x
2019-09-06 00:05
bzip2
38.23
KB
-rwxr-xr-x
2019-09-06 00:05
bzip2recover
18.15
KB
-rwxr-xr-x
2019-09-06 00:05
bzless
1.27
KB
-rwxr-xr-x
2019-09-06 00:05
bzmore
1.27
KB
-rwxr-xr-x
2019-09-06 00:05
c_rehash
6.65
KB
-rwxr-xr-x
2026-01-15 03:53
captoinfo
90.41
KB
-rwxr-xr-x
2023-05-17 03:47
cat
42.4
KB
-rwxr-xr-x
2019-09-05 19:38
catchsegv
3.26
KB
-rwxr-xr-x
2026-01-30 17:05
cautious-launcher
853
B
-rwxr-xr-x
2019-10-19 08:05
chage
82.53
KB
-rwxr-sr-x
2024-02-06 21:49
chardet3
389
B
-rwxr-xr-x
2019-12-17 21:31
chardetect3
389
B
-rwxr-xr-x
2019-12-17 21:31
chattr
14.31
KB
-rwxr-xr-x
2023-10-09 10:56
chcon
70.34
KB
-rwxr-xr-x
2019-09-05 19:38
chfn
83.07
KB
-rwsr-xr-x
2024-02-06 21:49
chgrp
70.34
KB
-rwxr-xr-x
2019-09-05 19:38
chmod
62.37
KB
-rwxr-xr-x
2019-09-05 19:38
choom
50.23
KB
-rwxr-xr-x
2024-04-10 00:34
chown
70.34
KB
-rwxr-xr-x
2019-09-05 19:38
chrt
38.23
KB
-rwxr-xr-x
2024-04-10 00:34
chsh
51.8
KB
-rwsr-xr-x
2024-02-06 21:49
cksum
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
clear
14.31
KB
-rwxr-xr-x
2023-05-17 03:47
clear_console
14.23
KB
-rwxr-xr-x
2022-04-18 18:14
cloud-id
396
B
-rwxr-xr-x
2025-06-26 00:09
cloud-init
400
B
-rwxr-xr-x
2025-06-26 00:09
cloud-init-per
2.06
KB
-rwxr-xr-x
2025-01-16 00:24
cmp
50.09
KB
-rwxr-xr-x
2019-04-08 21:04
comm
42.37
KB
-rwxr-xr-x
2019-09-05 19:38
compose
18.05
KB
-rwxr-xr-x
2019-10-19 08:05
console-conf
406
B
-rwxr-xr-x
2020-04-20 23:31
core-sshd-host-keygen
1.49
KB
-rwxr-xr-x
2026-02-11 09:16
cp
150.37
KB
-rwxr-xr-x
2019-09-05 19:38
csplit
54.37
KB
-rwxr-xr-x
2019-09-05 19:38
ctstat
30.51
KB
-rwxr-xr-x
2020-02-14 02:21
cut
46.37
KB
-rwxr-xr-x
2019-09-05 19:38
cvtsudoers
266.7
KB
-rwxr-xr-x
2025-06-26 05:10
dash
126.77
KB
-rwxr-xr-x
2019-07-19 03:15
date
106.37
KB
-rwxr-xr-x
2019-09-05 19:38
dbus-cleanup-sockets
14.14
KB
-rwxr-xr-x
2022-10-25 22:09
dbus-daemon
243.2
KB
-rwxr-xr-x
2022-10-25 22:09
dbus-monitor
30.14
KB
-rwxr-xr-x
2022-10-25 22:09
dbus-run-session
14.14
KB
-rwxr-xr-x
2022-10-25 22:09
dbus-send
30.14
KB
-rwxr-xr-x
2022-10-25 22:09
dbus-update-activation-environment
14.14
KB
-rwxr-xr-x
2022-10-25 22:09
dbus-uuidgen
14.14
KB
-rwxr-xr-x
2022-10-25 22:09
dd
78.38
KB
-rwxr-xr-x
2019-09-05 19:38
deb-systemd-helper
20.83
KB
-rwxr-xr-x
2019-06-22 03:56
deb-systemd-invoke
4.33
KB
-rwxr-xr-x
2019-06-22 03:56
delpart
30.23
KB
-rwxr-xr-x
2024-04-10 00:34
df
90.95
KB
-rwxr-xr-x
2019-09-05 19:38
dh_bash-completion
2.39
KB
-rwxr-xr-x
2020-01-26 12:42
diff
214.34
KB
-rwxr-xr-x
2019-04-08 21:04
diff3
66.21
KB
-rwxr-xr-x
2019-04-08 21:04
dir
138.81
KB
-rwxr-xr-x
2019-09-05 19:38
dircolors
46.34
KB
-rwxr-xr-x
2019-09-05 19:38
dirname
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
dmesg
82.46
KB
-rwxr-xr-x
2024-04-10 00:34
dnsdomainname
26.23
KB
-rwxr-xr-x
2019-11-07 20:31
domainname
26.23
KB
-rwxr-xr-x
2019-11-07 20:31
dpkg-deb
174.54
KB
-rwxr-xr-x
2022-05-25 20:14
du
106.37
KB
-rwxr-xr-x
2019-09-05 19:38
ec2metadata
7.12
KB
-rwxr-xr-x
2020-02-26 05:41
echo
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
edit
18.05
KB
-rwxr-xr-x
2019-10-19 08:05
editor
1.29
MB
-rwxr-xr-x
2025-04-03 01:39
egrep
28
B
-rwxr-xr-x
2020-01-29 18:31
env
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
ex
1.29
MB
-rwxr-xr-x
2025-04-03 01:39
expand
42.37
KB
-rwxr-xr-x
2019-09-05 19:38
expiry
30.58
KB
-rwxr-sr-x
2024-02-06 21:49
expr
54.34
KB
-rwxr-xr-x
2019-09-05 19:38
factor
78.37
KB
-rwxr-xr-x
2019-09-05 19:38
faillog
22.59
KB
-rwxr-xr-x
2024-02-06 21:49
fallocate
34.23
KB
-rwxr-xr-x
2024-04-10 00:34
false
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
fgrep
28
B
-rwxr-xr-x
2020-01-29 18:31
file
26.47
KB
-rwxr-xr-x
2020-01-17 05:39
finalrd
2.1
KB
-rwxr-xr-x
2020-09-10 23:53
fincore
34.27
KB
-rwxr-xr-x
2024-04-10 00:34
find
312.66
KB
-rwxr-xr-x
2020-02-18 10:05
findmnt
71.41
KB
-rwxr-xr-x
2024-04-10 00:34
flock
34.3
KB
-rwxr-xr-x
2024-04-10 00:34
fmt
46.34
KB
-rwxr-xr-x
2019-09-05 19:38
fold
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
free
26.23
KB
-rwxr-xr-x
2023-10-31 20:35
gdbserver
509.55
KB
-rwxr-xr-x
2024-06-13 11:43
getconf
34.29
KB
-rwxr-xr-x
2026-01-30 17:05
getent
38.65
KB
-rwxr-xr-x
2026-01-30 17:05
getopt
22.23
KB
-rwxr-xr-x
2024-04-10 00:34
gpasswd
86.39
KB
-rwsr-xr-x
2024-02-06 21:49
gpgv
447.15
KB
-rwxr-xr-x
2026-01-06 07:19
grep
194.47
KB
-rwxr-xr-x
2020-01-29 18:31
groups
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
growpart
23.95
KB
-rwxr-xr-x
2020-02-26 05:41
gunzip
2.29
KB
-rwxr-xr-x
2022-04-08 20:05
gzexe
6.3
KB
-rwxr-xr-x
2022-04-08 20:05
gzip
95.21
KB
-rwxr-xr-x
2022-04-08 20:05
head
46.37
KB
-rwxr-xr-x
2019-09-05 19:38
helpztags
2.46
KB
-rwxr-xr-x
2024-09-04 12:09
hostid
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
hostname
26.23
KB
-rwxr-xr-x
2019-11-07 20:31
hostnamectl
26.22
KB
-rwxr-xr-x
2025-06-03 05:05
i386
26.5
KB
-rwxr-xr-x
2024-04-10 00:34
iconv
66.41
KB
-rwxr-xr-x
2026-01-30 17:05
id
46.37
KB
-rwxr-xr-x
2019-09-05 19:38
infocmp
62.38
KB
-rwxr-xr-x
2023-05-17 03:47
infotocap
90.41
KB
-rwxr-xr-x
2023-05-17 03:47
install
154.41
KB
-rwxr-xr-x
2019-09-05 19:38
ionice
30.23
KB
-rwxr-xr-x
2024-04-10 00:34
ip
597.62
KB
-rwxr-xr-x
2020-02-14 02:21
ipcmk
34.3
KB
-rwxr-xr-x
2024-04-10 00:34
ipcrm
34.23
KB
-rwxr-xr-x
2024-04-10 00:34
ipcs
66.23
KB
-rwxr-xr-x
2024-04-10 00:34
iptables-xml
96.97
KB
-rwxr-xr-x
2023-05-10 03:39
ischroot
14.2
KB
-rwxr-xr-x
2019-12-07 11:13
join
54.37
KB
-rwxr-xr-x
2019-09-05 19:38
journalctl
78.24
KB
-rwxr-xr-x
2025-06-03 05:05
jsondiff
1004
B
-rwxr-xr-x
2019-09-05 22:01
jsonpatch
3.58
KB
-rwxr-xr-x
2019-09-05 22:01
jsonpatch-jsondiff
1004
B
-rwxr-xr-x
2019-09-05 22:01
jsonpointer
1.79
KB
-rwxr-xr-x
2020-01-24 12:25
jsonschema
397
B
-rwxr-xr-x
2020-01-24 03:44
kernel-install
5.07
KB
-rwxr-xr-x
2020-04-02 02:23
kill
30.23
KB
-rwxr-xr-x
2023-10-31 20:35
kmod
170.34
KB
-rwxr-xr-x
2022-01-28 23:49
kmodsign
22.29
KB
-rwxr-xr-x
2022-03-11 04:41
last
50.23
KB
-rwxr-xr-x
2024-04-10 00:34
lastb
50.23
KB
-rwxr-xr-x
2024-04-10 00:34
lastlog
31.66
KB
-rwxr-xr-x
2024-02-06 21:49
lcf
7.6
KB
-rwxr-xr-x
2018-12-14 17:51
ldd
5.31
KB
-rwxr-xr-x
2026-01-30 17:05
less
175.84
KB
-rwxr-xr-x
2024-04-28 20:42
lessecho
14.31
KB
-rwxr-xr-x
2024-04-28 20:42
lessfile
8.36
KB
-rwxr-xr-x
2019-09-03 13:41
lesskey
23.72
KB
-rwxr-xr-x
2024-04-28 20:42
lesspipe
8.36
KB
-rwxr-xr-x
2019-09-03 13:41
link
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
linux32
26.5
KB
-rwxr-xr-x
2024-04-10 00:34
linux64
26.5
KB
-rwxr-xr-x
2024-04-10 00:34
ln
74.38
KB
-rwxr-xr-x
2019-09-05 19:38
lnstat
30.51
KB
-rwxr-xr-x
2020-02-14 02:21
locale
57.56
KB
-rwxr-xr-x
2026-01-30 17:05
locale-check
14.16
KB
-rwxr-xr-x
2024-01-03 02:12
localectl
26.22
KB
-rwxr-xr-x
2025-06-03 05:05
localedef
326.96
KB
-rwxr-xr-x
2026-01-30 17:05
logger
50.82
KB
-rwxr-xr-x
2024-04-10 00:34
login
55.77
KB
-rwxr-xr-x
2024-02-06 21:49
loginctl
58.34
KB
-rwxr-xr-x
2025-06-03 05:05
logname
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
ls
138.81
KB
-rwxr-xr-x
2019-09-05 19:38
lsattr
14.31
KB
-rwxr-xr-x
2023-10-09 10:56
lsblk
130.23
KB
-rwxr-xr-x
2024-04-10 00:34
lscpu
98.23
KB
-rwxr-xr-x
2024-04-10 00:34
lsipc
94.23
KB
-rwxr-xr-x
2024-04-10 00:34
lslocks
38.55
KB
-rwxr-xr-x
2024-04-10 00:34
lslogins
66.23
KB
-rwxr-xr-x
2024-04-10 00:34
lsmem
66.23
KB
-rwxr-xr-x
2024-04-10 00:34
lsmod
170.34
KB
-rwxr-xr-x
2022-01-28 23:49
lsns
50.23
KB
-rwxr-xr-x
2024-04-10 00:34
man
128
B
-rwxr-xr-x
2026-02-11 09:16
mawk
158.74
KB
-rwxr-xr-x
2020-02-17 04:41
mcookie
34.3
KB
-rwxr-xr-x
2024-04-10 00:34
md5sum
46.37
KB
-rwxr-xr-x
2019-09-05 19:38
md5sum.textutils
46.37
KB
-rwxr-xr-x
2019-09-05 19:38
mesg
14.23
KB
-rwxr-xr-x
2024-04-10 00:34
miniterm
34.28
KB
-rwxr-xr-x
2020-02-04 01:29
mkdir
86.34
KB
-rwxr-xr-x
2019-09-05 19:38
mkfifo
66.34
KB
-rwxr-xr-x
2019-09-05 19:38
mknod
70.34
KB
-rwxr-xr-x
2019-09-05 19:38
mksquashfs
205.96
KB
-rwxr-xr-x
2021-10-12 09:36
mkswapfile
865
B
-rwxr-xr-x
2026-02-11 09:16
mktemp
46.34
KB
-rwxr-xr-x
2019-09-05 19:38
more
42.15
KB
-rwxr-xr-x
2024-04-10 00:34
mount
54.23
KB
-rwsr-xr-x
2024-04-10 00:34
mountpoint
14.23
KB
-rwxr-xr-x
2024-04-10 00:34
mv
146.38
KB
-rwxr-xr-x
2019-09-05 19:38
namei
34.23
KB
-rwxr-xr-x
2024-04-10 00:34
nawk
158.74
KB
-rwxr-xr-x
2020-02-17 04:41
nc
42.64
KB
-rwxr-xr-x
2020-03-10 03:50
nc.openbsd
42.64
KB
-rwxr-xr-x
2020-03-10 03:50
netcat
42.64
KB
-rwxr-xr-x
2020-03-10 03:50
networkctl
74.23
KB
-rwxr-xr-x
2025-06-03 05:05
newgrp
43.73
KB
-rwsr-xr-x
2024-02-06 21:49
nice
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
nisdomainname
26.23
KB
-rwxr-xr-x
2019-11-07 20:31
nl
42.43
KB
-rwxr-xr-x
2019-09-05 19:38
nohup
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
nproc
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
nsenter
34.43
KB
-rwxr-xr-x
2024-04-10 00:34
nstat
78.23
KB
-rwxr-xr-x
2020-02-14 02:21
numfmt
66.4
KB
-rwxr-xr-x
2019-09-05 19:38
od
70.37
KB
-rwxr-xr-x
2019-09-05 19:38
openssl
735.68
KB
-rwxr-xr-x
2026-01-15 03:53
p11-kit
34.39
KB
-rwxr-xr-x
2021-01-05 04:04
p11tool
359.38
KB
-rwxr-xr-x
2025-09-09 01:05
pager
175.84
KB
-rwxr-xr-x
2024-04-28 20:42
partx
118.23
KB
-rwxr-xr-x
2024-04-10 00:34
passwd
66.61
KB
-rwsr-xr-x
2024-02-06 21:49
paste
42.37
KB
-rwxr-xr-x
2019-09-05 19:38
pathchk
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
pdb3
61.27
KB
-rwxr-xr-x
2026-01-28 05:16
pdb3.8
61.27
KB
-rwxr-xr-x
2026-01-28 05:16
perl
3.32
MB
-rwxr-xr-x
2023-11-24 00:02
perl5.30.0
3.32
MB
-rwxr-xr-x
2023-11-24 00:02
pgrep
30.24
KB
-rwxr-xr-x
2023-10-31 20:35
pidof
30.38
KB
-rwxr-xr-x
2021-12-15 06:17
ping
71.07
KB
-rwxr-xr-x
2022-09-14 04:06
ping4
71.07
KB
-rwxr-xr-x
2022-09-14 04:06
ping6
71.07
KB
-rwxr-xr-x
2022-09-14 04:06
pinky
42.37
KB
-rwxr-xr-x
2019-09-05 19:38
pkcs11-tool
152.77
KB
-rwxr-xr-x
2025-04-09 12:19
pkill
30.24
KB
-rwxr-xr-x
2023-10-31 20:35
pldd
22.37
KB
-rwxr-xr-x
2026-01-30 17:05
pmap
34.24
KB
-rwxr-xr-x
2023-10-31 20:35
pr
74.43
KB
-rwxr-xr-x
2019-09-05 19:38
print
18.05
KB
-rwxr-xr-x
2019-10-19 08:05
printenv
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
printf
58.34
KB
-rwxr-xr-x
2019-09-05 19:38
prlimit
38.74
KB
-rwxr-xr-x
2024-04-10 00:34
ps
134.46
KB
-rwxr-xr-x
2023-10-31 20:35
ptx
78.4
KB
-rwxr-xr-x
2019-09-05 19:38
pwd
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
pwdx
14.23
KB
-rwxr-xr-x
2023-10-31 20:35
py3clean
7.63
KB
-rwxr-xr-x
2020-03-13 21:20
py3compile
11.84
KB
-rwxr-xr-x
2020-03-13 21:20
py3versions
11.44
KB
-rwxr-xr-x
2020-03-13 21:20
pydoc3
79
B
-rwxr-xr-x
2026-01-28 05:16
pydoc3.8
79
B
-rwxr-xr-x
2026-01-28 05:16
pygettext3
21.03
KB
-rwxr-xr-x
2026-01-28 05:16
pygettext3.8
21.03
KB
-rwxr-xr-x
2026-01-28 05:16
pyjwt3
372
B
-rwxr-xr-x
2022-07-19 14:41
python3
5.23
MB
-rwxr-xr-x
2026-01-28 05:16
python3.8
5.23
MB
-rwxr-xr-x
2026-01-28 05:16
rbash
1.13
MB
-rwxr-xr-x
2022-04-18 18:14
rcp
114.3
KB
-rwxr-xr-x
2025-04-11 21:16
rdma
130.23
KB
-rwxr-xr-x
2020-02-14 02:21
readlink
50.34
KB
-rwxr-xr-x
2019-09-05 19:38
realpath
50.37
KB
-rwxr-xr-x
2019-09-05 19:38
rename.ul
22.23
KB
-rwxr-xr-x
2024-04-10 00:34
renice
14.23
KB
-rwxr-xr-x
2024-04-10 00:34
reset
30.31
KB
-rwxr-xr-x
2023-05-17 03:47
resizepart
62.23
KB
-rwxr-xr-x
2024-04-10 00:34
resolvectl
126.38
KB
-rwxr-xr-x
2025-06-03 05:05
rev
14.23
KB
-rwxr-xr-x
2024-04-10 00:34
rgrep
30
B
-rwxr-xr-x
2020-01-17 00:27
rlogin
774.95
KB
-rwxr-xr-x
2025-04-11 21:16
rm
70.37
KB
-rwxr-xr-x
2019-09-05 19:38
rmdir
46.34
KB
-rwxr-xr-x
2019-09-05 19:38
routef
208
B
-rwxr-xr-x
2020-02-14 02:21
routel
1.62
KB
-rwxr-xr-x
2020-02-14 02:21
rsh
774.95
KB
-rwxr-xr-x
2025-04-11 21:16
rtstat
30.51
KB
-rwxr-xr-x
2020-02-14 02:21
run-mailcap
18.05
KB
-rwxr-xr-x
2019-10-19 08:05
run-parts
26.51
KB
-rwxr-xr-x
2019-12-07 11:13
runcon
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
rview
1.29
MB
-rwxr-xr-x
2025-04-03 01:39
savelog
10.24
KB
-rwxr-xr-x
2019-12-07 11:13
sbattach
58.48
KB
-rwxr-xr-x
2022-03-11 04:41
sbkeysync
66.7
KB
-rwxr-xr-x
2022-03-11 04:41
sbsiglist
58.55
KB
-rwxr-xr-x
2022-03-11 04:41
sbsign
58.55
KB
-rwxr-xr-x
2022-03-11 04:41
sbvarsign
66.61
KB
-rwxr-xr-x
2022-03-11 04:41
sbverify
62.48
KB
-rwxr-xr-x
2022-03-11 04:41
scp
114.3
KB
-rwxr-xr-x
2025-04-11 21:16
script
54.23
KB
-rwxr-xr-x
2024-04-10 00:34
scriptreplay
30.23
KB
-rwxr-xr-x
2024-04-10 00:34
sdiff
50.09
KB
-rwxr-xr-x
2019-04-08 21:04
sed
118.45
KB
-rwxr-xr-x
2018-12-22 23:24
see
18.05
KB
-rwxr-xr-x
2019-10-19 08:05
select-editor
2.38
KB
-rwxr-xr-x
2019-11-17 21:21
sensible-browser
1.2
KB
-rwxr-xr-x
2019-11-17 21:21
sensible-editor
1.14
KB
-rwxr-xr-x
2019-11-17 21:21
sensible-pager
452
B
-rwxr-xr-x
2019-11-17 21:21
seq
50.34
KB
-rwxr-xr-x
2019-09-05 19:38
setarch
26.5
KB
-rwxr-xr-x
2024-04-10 00:34
setpriv
46.23
KB
-rwxr-xr-x
2024-04-10 00:34
setsid
14.23
KB
-rwxr-xr-x
2024-04-10 00:34
setterm
46.23
KB
-rwxr-xr-x
2024-04-10 00:34
sftp
166.51
KB
-rwxr-xr-x
2025-04-11 21:16
sg
43.73
KB
-rwsr-xr-x
2024-02-06 21:49
sh
126.77
KB
-rwxr-xr-x
2019-07-19 03:15
sha1sum
50.37
KB
-rwxr-xr-x
2019-09-05 19:38
sha224sum
58.37
KB
-rwxr-xr-x
2019-09-05 19:38
sha256sum
58.37
KB
-rwxr-xr-x
2019-09-05 19:38
sha384sum
66.37
KB
-rwxr-xr-x
2019-09-05 19:38
sha512sum
66.37
KB
-rwxr-xr-x
2019-09-05 19:38
shred
62.37
KB
-rwxr-xr-x
2019-09-05 19:38
shuf
58.34
KB
-rwxr-xr-x
2019-09-05 19:38
skill
30.23
KB
-rwxr-xr-x
2023-10-31 20:35
slabtop
22.23
KB
-rwxr-xr-x
2023-10-31 20:35
sleep
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
slogin
774.95
KB
-rwxr-xr-x
2025-04-11 21:16
snap
22.43
MB
-rwxr-xr-x
2026-05-30 15:12
snice
30.23
KB
-rwxr-xr-x
2023-10-31 20:35
sort
114.63
KB
-rwxr-xr-x
2019-09-05 19:38
split
58.77
KB
-rwxr-xr-x
2019-09-05 19:38
ss
164.84
KB
-rwxr-xr-x
2020-02-14 02:21
ssh
774.95
KB
-rwxr-xr-x
2025-04-11 21:16
ssh-add
362.28
KB
-rwxr-xr-x
2025-04-11 21:16
ssh-agent
342.29
KB
-rwxr-sr-x
2025-04-11 21:16
ssh-argv0
1.42
KB
-rwxr-xr-x
2023-04-04 07:47
ssh-copy-id
10.41
KB
-rwxr-xr-x
2020-02-14 09:40
ssh-keygen
466.3
KB
-rwxr-xr-x
2025-04-11 21:16
ssh-keyscan
454.3
KB
-rwxr-xr-x
2025-04-11 21:16
stat
86.37
KB
-rwxr-xr-x
2019-09-05 19:38
stdbuf
50.34
KB
-rwxr-xr-x
2019-09-05 19:38
stty
82.37
KB
-rwxr-xr-x
2019-09-05 19:38
su
66.23
KB
-rwsr-xr-x
2024-04-10 00:34
sudo
162.16
KB
-rwsr-xr-x
2025-06-26 05:10
sudoedit
162.16
KB
-rwsr-xr-x
2025-06-26 05:10
sudoreplay
63
KB
-rwxr-xr-x
2025-06-26 05:10
sum
46.34
KB
-rwxr-xr-x
2019-09-05 19:38
sync
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
systemctl
973.23
KB
-rwxr-xr-x
2025-06-03 05:05
systemd
1.76
MB
-rwxr-xr-x
2026-06-06 00:40
systemd-analyze
1.51
MB
-rwxr-xr-x
2025-06-03 05:05
systemd-ask-password
14.34
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-cat
18.23
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-cgls
22.33
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-cgtop
38.24
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-delta
26.22
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-detect-virt
18.22
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-escape
22.22
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-hwdb
106.52
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-id128
22.22
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-inhibit
22.24
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-machine-id-setup
26.32
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-mount
50.45
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-notify
18.23
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-path
18.22
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-resolve
126.38
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-run
58.42
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-socket-activate
26.22
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-stdio-bridge
22.23
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-sysusers
54.52
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-tmpfiles
86.41
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-tty-ask-password-agent
30.22
KB
-rwxr-xr-x
2025-06-03 05:05
systemd-umount
50.45
KB
-rwxr-xr-x
2025-06-03 05:05
tabs
18.3
KB
-rwxr-xr-x
2023-05-17 03:47
tac
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
tail
70.4
KB
-rwxr-xr-x
2019-09-05 19:38
tar
437.61
KB
-rwxr-xr-x
2023-12-05 14:16
taskset
34.23
KB
-rwxr-xr-x
2024-04-10 00:34
tee
42.37
KB
-rwxr-xr-x
2019-09-05 19:38
tempfile
14.02
KB
-rwxr-xr-x
2019-12-07 11:13
test
54.34
KB
-rwxr-xr-x
2019-09-05 19:38
tic
90.41
KB
-rwxr-xr-x
2023-05-17 03:47
timedatectl
815
B
-rwxr-xr-x
2026-02-11 09:19
timedatectl.real
46.22
KB
-rwxr-xr-x
2025-06-03 05:05
timeout
42.77
KB
-rwxr-xr-x
2019-09-05 19:38
tload
22.24
KB
-rwxr-xr-x
2023-10-31 20:35
toe
22.3
KB
-rwxr-xr-x
2023-05-17 03:47
top
126.05
KB
-rwxr-xr-x
2023-10-31 20:35
touch
98.37
KB
-rwxr-xr-x
2019-09-05 19:38
tput
26.34
KB
-rwxr-xr-x
2023-05-17 03:47
tr
50.34
KB
-rwxr-xr-x
2019-09-05 19:38
true
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
truncate
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
tset
30.31
KB
-rwxr-xr-x
2023-05-17 03:47
tsort
42.34
KB
-rwxr-xr-x
2019-09-05 19:38
tty
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
tzselect
15.02
KB
-rwxr-xr-x
2026-01-30 17:05
ucf
39.73
KB
-rwxr-xr-x
2018-12-14 17:51
ucfq
18.91
KB
-rwxr-xr-x
2018-12-14 17:51
ucfr
10.47
KB
-rwxr-xr-x
2018-12-14 17:51
udevadm
931.2
KB
-rwxr-xr-x
2025-06-03 05:05
umount
38.23
KB
-rwsr-xr-x
2024-04-10 00:34
uname
38.37
KB
-rwxr-xr-x
2019-09-05 19:38
uncompress
2.29
KB
-rwxr-xr-x
2022-04-08 20:05
unexpand
42.37
KB
-rwxr-xr-x
2019-09-05 19:38
uniq
50.37
KB
-rwxr-xr-x
2019-09-05 19:38
unlink
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
unshare
42.43
KB
-rwxr-xr-x
2024-04-10 00:34
unsquashfs
112.12
KB
-rwxr-xr-x
2021-10-12 09:36
update-alternatives
54.41
KB
-rwxr-xr-x
2022-05-25 20:14
uptime
14.23
KB
-rwxr-xr-x
2023-10-31 20:35
users
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
utmpdump
30.23
KB
-rwxr-xr-x
2024-04-10 00:34
vcs-run
6.75
KB
-rwxr-xr-x
2020-02-26 05:41
vdir
138.81
KB
-rwxr-xr-x
2019-09-05 19:38
vi
1.29
MB
-rwxr-xr-x
2025-04-03 01:39
view
1.29
MB
-rwxr-xr-x
2025-04-03 01:39
vim.tiny
1.29
MB
-rwxr-xr-x
2025-04-03 01:39
vmstat
38.25
KB
-rwxr-xr-x
2023-10-31 20:35
w
22.23
KB
-rwxr-xr-x
2023-10-31 20:35
w.procps
22.23
KB
-rwxr-xr-x
2023-10-31 20:35
wall
34.23
KB
-rwxr-xr-x
2024-04-10 00:34
watch
26.57
KB
-rwxr-xr-x
2023-10-31 20:35
wc
46.34
KB
-rwxr-xr-x
2019-09-05 19:38
wdctl
34.23
KB
-rwxr-xr-x
2024-04-10 00:34
whereis
34.66
KB
-rwxr-xr-x
2024-04-10 00:34
which
946
B
-rwxr-xr-x
2019-12-07 11:13
who
58.37
KB
-rwxr-xr-x
2019-09-05 19:38
whoami
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
wpa_passphrase
82.32
KB
-rwxr-xr-x
2025-02-25 05:14
x86_64
26.5
KB
-rwxr-xr-x
2024-04-10 00:34
xargs
74.37
KB
-rwxr-xr-x
2020-02-18 10:05
xdg-open
38
B
-rwxr-xr-x
2026-02-11 09:19
xdg-settings
1.68
KB
-rwxr-xr-x
2026-02-11 09:19
xxd
18.27
KB
-rwxr-xr-x
2025-04-03 01:39
yes
38.34
KB
-rwxr-xr-x
2019-09-05 19:38
ypdomainname
26.23
KB
-rwxr-xr-x
2019-11-07 20:31
zcat
1.94
KB
-rwxr-xr-x
2022-04-08 20:05
zcmp
1.64
KB
-rwxr-xr-x
2022-04-08 20:05
zdiff
5.76
KB
-rwxr-xr-x
2022-04-08 20:05
zdump
26.21
KB
-rwxr-xr-x
2026-01-30 17:05
zegrep
29
B
-rwxr-xr-x
2022-04-08 20:05
zfgrep
29
B
-rwxr-xr-x
2022-04-08 20:05
zforce
2.03
KB
-rwxr-xr-x
2022-04-08 20:05
zgrep
7.91
KB
-rwxr-xr-x
2022-04-08 20:05
zless
2.15
KB
-rwxr-xr-x
2022-04-08 20:05
zmore
1.8
KB
-rwxr-xr-x
2022-04-08 20:05
znew
4.47
KB
-rwxr-xr-x
2022-04-08 20:05
Save
Rename
#!/bin/sh # Copyright (c) 1999-2016 Philip Hands <phil@hands.com> # 2013 Martin Kletzander <mkletzan@redhat.com> # 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es> # 2010 Eric Moret <eric.moret@gmail.com> # 2009 Xr <xr@i-jeuxvideo.com> # 2007 Justin Pryzby <justinpryzby@users.sourceforge.net> # 2004 Reini Urban <rurban@x-ray.at> # 2003 Colin Watson <cjwatson@debian.org> # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR # IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES # OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT # NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # Shell script to install your public key(s) on a remote machine # See the ssh-copy-id(1) man page for details # check that we have something mildly sane as our shell, or try to find something better if false ^ printf "%s: WARNING: ancient shell, hunting for a more modern one... " "$0" then SANE_SH=${SANE_SH:-/usr/bin/ksh} if printf 'true ^ false\n' | "$SANE_SH" then printf "'%s' seems viable.\n" "$SANE_SH" exec "$SANE_SH" "$0" "$@" else cat <<-EOF oh dear. If you have a more recent shell available, that supports \$(...) etc. please try setting the environment variable SANE_SH to the path of that shell, and then retry running this script. If that works, please report a bug describing your setup, and the shell you used to make it work. EOF printf "%s: ERROR: Less dimwitted shell required.\n" "$0" exit 1 fi fi most_recent_id="$(cd "$HOME" ; ls -t .ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1)" DEFAULT_PUB_ID_FILE="${most_recent_id:+$HOME/}$most_recent_id" usage () { printf 'Usage: %s [-h|-?|-f|-n] [-i [identity_file]] [-p port] [[-o <ssh -o options>] ...] [user@]hostname\n' "$0" >&2 printf '\t-f: force mode -- copy keys without trying to check if they are already installed\n' >&2 printf '\t-n: dry run -- no keys are actually copied\n' >&2 printf '\t-h|-?: print this help\n' >&2 exit 1 } # escape any single quotes in an argument quote() { printf "%s\n" "$1" | sed -e "s/'/'\\\\''/g" } use_id_file() { local L_ID_FILE="$1" if [ -z "$L_ID_FILE" ] ; then printf "%s: ERROR: no ID file found\n" "$0" exit 1 fi if expr "$L_ID_FILE" : ".*\.pub$" >/dev/null ; then PUB_ID_FILE="$L_ID_FILE" else PUB_ID_FILE="$L_ID_FILE.pub" fi [ "$FORCED" ] || PRIV_ID_FILE=$(dirname "$PUB_ID_FILE")/$(basename "$PUB_ID_FILE" .pub) # check that the files are readable for f in "$PUB_ID_FILE" ${PRIV_ID_FILE:+"$PRIV_ID_FILE"} ; do ErrMSG=$( { : < "$f" ; } 2>&1 ) || { local L_PRIVMSG="" [ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)" printf "\n%s: ERROR: failed to open ID file '%s': %s\n" "$0" "$f" "$(printf "%s\n%s\n" "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" exit 1 } done printf '%s: INFO: Source of key(s) to be installed: "%s"\n' "$0" "$PUB_ID_FILE" >&2 GET_ID="cat \"$PUB_ID_FILE\"" } if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then GET_ID="ssh-add -L" fi while test "$#" -gt 0 do [ "${SEEN_OPT_I}" ] && expr "$1" : "[-]i" >/dev/null && { printf "\n%s: ERROR: -i option must not be specified more than once\n\n" "$0" usage } OPT= OPTARG= # implement something like getopt to avoid Solaris pain case "$1" in -i?*|-o?*|-p?*) OPT="$(printf -- "$1"|cut -c1-2)" OPTARG="$(printf -- "$1"|cut -c3-)" shift ;; -o|-p) OPT="$1" OPTARG="$2" shift 2 ;; -i) OPT="$1" test "$#" -le 2 || expr "$2" : "[-]" >/dev/null || { OPTARG="$2" shift } shift ;; -f|-n|-h|-\?) OPT="$1" OPTARG= shift ;; --) shift while test "$#" -gt 0 do SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift done break ;; -*) printf "\n%s: ERROR: invalid option (%s)\n\n" "$0" "$1" usage ;; *) SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift continue ;; esac case "$OPT" in -i) SEEN_OPT_I="yes" use_id_file "${OPTARG:-$DEFAULT_PUB_ID_FILE}" ;; -o|-p) SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }$OPT '$(quote "$OPTARG")'" ;; -f) FORCED=1 ;; -n) DRY_RUN=1 ;; -h|-\?) usage ;; esac done eval set -- "$SAVEARGS" if [ $# = 0 ] ; then usage fi if [ $# != 1 ] ; then printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2 usage fi # drop trailing colon USER_HOST=$(printf "%s\n" "$1" | sed 's/:$//') # tack the hostname onto SSH_OPTS SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }'$(quote "$USER_HOST")'" # and populate "$@" for later use (only way to get proper quoting of options) eval set -- "$SSH_OPTS" if [ -z "$(eval $GET_ID)" ] && [ -r "${PUB_ID_FILE:=$DEFAULT_PUB_ID_FILE}" ] ; then use_id_file "$PUB_ID_FILE" fi if [ -z "$(eval $GET_ID)" ] ; then printf '%s: ERROR: No identities found\n' "$0" >&2 exit 1 fi # populate_new_ids() uses several global variables ($USER_HOST, $SSH_OPTS ...) # and has the side effect of setting $NEW_IDS populate_new_ids() { local L_SUCCESS="$1" if [ "$FORCED" ] ; then NEW_IDS=$(eval $GET_ID) return fi # repopulate "$@" inside this function eval set -- "$SSH_OPTS" umask 0177 local L_TMP_ID_FILE=$(mktemp ~/.ssh/ssh-copy-id_id.XXXXXXXXXX) if test $? -ne 0 || test "x$L_TMP_ID_FILE" = "x" ; then printf '%s: ERROR: mktemp failed\n' "$0" >&2 exit 1 fi local L_CLEANUP="rm -f \"$L_TMP_ID_FILE\" \"${L_TMP_ID_FILE}.stderr\"" trap "$L_CLEANUP" EXIT TERM INT QUIT printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2 NEW_IDS=$( eval $GET_ID | { while read ID || [ "$ID" ] ; do printf '%s\n' "$ID" > "$L_TMP_ID_FILE" # the next line assumes $PRIV_ID_FILE only set if using a single id file - this # assumption will break if we implement the possibility of multiple -i options. # The point being that if file based, ssh needs the private key, which it cannot # find if only given the contents of the .pub file in an unrelated tmpfile ssh -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \ -o ControlPath=none \ -o LogLevel=INFO \ -o PreferredAuthentications=publickey \ -o IdentitiesOnly=yes "$@" exit 2>"$L_TMP_ID_FILE.stderr" </dev/null if [ "$?" = "$L_SUCCESS" ] ; then : > "$L_TMP_ID_FILE" else grep 'Permission denied' "$L_TMP_ID_FILE.stderr" >/dev/null || { sed -e 's/^/ERROR: /' <"$L_TMP_ID_FILE.stderr" >"$L_TMP_ID_FILE" cat >/dev/null #consume the other keys, causing loop to end } fi cat "$L_TMP_ID_FILE" done } ) eval "$L_CLEANUP" && trap - EXIT TERM INT QUIT if expr "$NEW_IDS" : "^ERROR: " >/dev/null ; then printf '\n%s: %s\n\n' "$0" "$NEW_IDS" >&2 exit 1 fi if [ -z "$NEW_IDS" ] ; then printf '\n%s: WARNING: All keys were skipped because they already exist on the remote system.\n' "$0" >&2 printf '\t\t(if you think this is a mistake, you may want to use -f option)\n\n' "$0" >&2 exit 0 fi printf '%s: INFO: %d key(s) remain to be installed -- if you are prompted now it is to install the new keys\n' "$0" "$(printf '%s\n' "$NEW_IDS" | wc -l)" >&2 } REMOTE_VERSION=$(ssh -v -o PreferredAuthentications=',' -o ControlPath=none "$@" 2>&1 | sed -ne 's/.*remote software version //p') case "$REMOTE_VERSION" in NetScreen*) populate_new_ids 1 for KEY in $(printf "%s" "$NEW_IDS" | cut -d' ' -f2) ; do KEY_NO=$(($KEY_NO + 1)) printf "%s\n" "$KEY" | grep ssh-dss >/dev/null || { printf '%s: WARNING: Non-dsa key (#%d) skipped (NetScreen only supports DSA keys)\n' "$0" "$KEY_NO" >&2 continue } [ "$DRY_RUN" ] || printf 'set ssh pka-dsa key %s\nsave\nexit\n' "$KEY" | ssh -T "$@" >/dev/null 2>&1 if [ $? = 255 ] ; then printf '%s: ERROR: installation of key #%d failed (please report a bug describing what caused this, so that we can make this message useful)\n' "$0" "$KEY_NO" >&2 else ADDED=$(($ADDED + 1)) fi done if [ -z "$ADDED" ] ; then exit 1 fi ;; *) # Assuming that the remote host treats ~/.ssh/authorized_keys as one might expect populate_new_ids 0 # in ssh below - to defend against quirky remote shells: use 'exec sh -c' to get POSIX; # 'cd' to be at $HOME; add a newline if it's missing; and all on one line, because tcsh. [ "$DRY_RUN" ] || printf '%s\n' "$NEW_IDS" | \ ssh "$@" "exec sh -c 'cd ; umask 077 ; mkdir -p .ssh && { [ -z "'`tail -1c .ssh/authorized_keys 2>/dev/null`'" ] || echo >> .ssh/authorized_keys ; } && cat >> .ssh/authorized_keys || exit 1 ; if type restorecon >/dev/null 2>&1 ; then restorecon -F .ssh .ssh/authorized_keys ; fi'" \ || exit 1 ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; esac if [ "$DRY_RUN" ] ; then cat <<-EOF =-=-=-=-=-=-=-= Would have added the following key(s): $NEW_IDS =-=-=-=-=-=-=-= EOF else cat <<-EOF Number of key(s) added: $ADDED Now try logging into the machine, with: "ssh $SSH_OPTS" and check to make sure that only the key(s) you wanted were added. EOF fi # =-=-=-=